# Class parser

- Defined in File parser.hpp

## Inheritance Relationships

### Base Type

- `public cif::sac_parser` (Class sac_parser)

## Class Documentation

class parser : public cif::sac_parser

  An actual implementation of a sac_parser generating data in a file.

  This parser will create the cif::file, cif::datablock and cif::category objects required to contain all data

  Public Functions

  inline parser(std::istream &is, file &file, const validator *v)

    constructor, generates data into file from is using validator v

  inline parser(std::istream &is, file &file)

    constructor, generates data into file from is